aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2013-01-28 14:49:12 -0800
committerBrian Behlendorf <[email protected]>2013-01-28 15:36:02 -0800
commitff5b1c8065c8a43add534892172f0aa5aba90f3d (patch)
tree79700693f35e3daa326e5458622933c1388c098c
parent2b7ab9d4d9b307c354795e2805ff313ddd01985d (diff)
Quiet mkfs.ext2 output
The -q option should quiet the mkfs.ext2 output but certain versions of e2fsprogs appear to ignore it. This can result in an extra 'done' message in the test output. To keep this noise from distracting just direct stdout to /dev/null. Signed-off-by: Brian Behlendorf <[email protected]>
-rw-r--r--scripts/common.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/common.sh.in b/scripts/common.sh.in
index 531c7983b..c6d98f66b 100644
--- a/scripts/common.sh.in
+++ b/scripts/common.sh.in
@@ -371,7 +371,7 @@ format() {
# Force 4K blocksize, else mkfs.ext2 tries to use 8K, which
# won't mount
- /sbin/mkfs.${FSTYPE} -b 4096 -F -q ${DEVICE} || return 1
+ /sbin/mkfs.${FSTYPE} -b 4096 -F -q ${DEVICE} >/dev/null || return 1
return 0
}